dTdx = ( T(iny,east)-T(iny,west))/(2*dx); 
dTdy = ( T(north,inx)-T(south,inx))/(2*dy); % not needed if V=0->V*dTdy =0

d2Tdx2 = ( T(iny,east)-2*T(iny,inx)+T(iny,west))/(dx^2);
d2Tdy2 = ( T(north,inx)-2*T(iny,inx)+T(south,inx))/(dy^2);

% evaluate temperature increment dT assuming V.*dTdy = 0
dT = dt*( -U.*dTdx -V.*dTdy + alpha*d2Tdx2 + alpha*d2Tdy2); % dT = dt*(F(x,y,t)+G(x,y,t))
